
Application: gvSIG desktop - gvSIG bugs #4129
gvSIG 2.3.0-2425-RC1 no arranca en ubuntu 15.04
02/24/2016 11:52 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE) 
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2425 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al parecer estamos distribuyendo con los binarios de gdal la libreria "libdl.so.2" mientras que en ubuntu 15.04 esta la "libdl-2.21.so".
No deberiamos distribuir esa libreria, y deberia usarse siempre la del sistema, ya que esta intimamente ligada a la version libc que se
tenga en el sistema (tampoco distribuimos la libc). Si la quitamos de la distribucion de gvSIG, este ya arranca.

Associated revisions
Revision 173 - 03/01/2016 01:12 PM - Joaquín  del Cerro Murciano

refs #4129, eliminada la libreria libdl de los plugins de gdal para linux

History
#1 - 02/24/2016 11:53 PM - Joaquín  del Cerro Murciano
- gvSIG build set to 2425
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#2 - 02/27/2016 11:44 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2426 (rev. org.gvsig.desktop-2.0.132,  NOT USABLE) 

#3 - 03/01/2016 01:58 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

No he rehecho los artefactos maven que tienen las nativas para eliminar la libreria libdl de ellos, me he limitado a no meterla en el instalable poniendo
un exclude en el assembly.

#4 - 07/25/2016 10:04 AM - Álvaro Anguix
- Status changed from Fixed to Closed
